Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.skype.api
Enum Video.STATUS

    java.lang.Object
      java.lang.Enum<Video.STATUS>
          com.skype.api.Video.STATUS

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Video.STATUS>

Enclosing class:
  Video

    public static enum Video.STATUS

extends java.lang.Enum<Video.STATUS>

Enum Constant Summary
`AVAILABLE`
`CHECKING_SUBSCRIPTION`
`HINT_IS_VIDEOCALL_RECEIVED`
`NOT_AVAILABLE`
`NOT_STARTED`
`PAUSED`
`REJECTED`
`RENDERING`
`RUNNING`
`STARTING`
`STOPPING`
`SWITCHING_DEVICE`
`UNKNOWN`

Method Summary
`static Video.STATUS` | `fromString(java.lang.String s)`
`static Video.STATUS` | `get(int code)`
`int` | `getId()`
`static Video.STATUS` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Video.STATUS[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NOT_AVAILABLE

    public static final Video.STATUS NOT_AVAILABLE

### AVAILABLE

    public static final Video.STATUS AVAILABLE

### STARTING

    public static final Video.STATUS STARTING

### REJECTED

    public static final Video.STATUS REJECTED

### RUNNING

    public static final Video.STATUS RUNNING

### STOPPING

    public static final Video.STATUS STOPPING

### PAUSED

    public static final Video.STATUS PAUSED

### NOT_STARTED

    public static final Video.STATUS NOT_STARTED

### HINT_IS_VIDEOCALL_RECEIVED

    public static final Video.STATUS HINT_IS_VIDEOCALL_RECEIVED

### UNKNOWN

    public static final Video.STATUS UNKNOWN

### RENDERING

    public static final Video.STATUS RENDERING

### CHECKING_SUBSCRIPTION

    public static final Video.STATUS CHECKING_SUBSCRIPTION

### SWITCHING_DEVICE

    public static final Video.STATUS SWITCHING_DEVICE

Method Detail

### values

    public static Video.STATUS[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (Video.STATUS c : Video.STATUS.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static Video.STATUS valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getId

    public int getId()

### get

    public static Video.STATUS get(int code)

### fromString

    public static Video.STATUS fromString(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2010, 2011 Skype Technologies. All Rights Reserved.